Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2FrictionJointDef Struct Reference

Friction joint definition. More...

`#include <b2FrictionJoint.h>`

Inheritance diagram for b2FrictionJointDef:

## Public Member Functions
| b2FrictionJointDef ()
void | Initialize (b2Body *bodyA, b2Body *bodyB, const b2Vec2 &anchor)
Public Member Functions inherited from b2JointDef
| b2JointDef ()

## Public Attributes
b2Vec2 | localAnchorA
| The local anchor point relative to bodyA's origin. More...
b2Vec2 | localAnchorB
| The local anchor point relative to bodyB's origin. More...
float32 | maxForce
| The maximum friction force in N. More...
float32 | maxTorque
| The maximum friction torque in N-m. More...
Public Attributes inherited from b2JointDef
b2JointType | type
| The joint type is set automatically for concrete joint types. More...
void * | userData
| Use this to attach application specific data to your joints. More...
b2Body * | bodyA
| The first attached body. More...
b2Body * | bodyB
| The second attached body. More...
bool | collideConnected
| Set this flag to true if the attached bodies should collide. More...

## Detailed Description

Friction joint definition.

## Constructor & Destructor Documentation

b2FrictionJointDef | ( |  | ) |
| inline

## Member Function Documentation

void Initialize | ( | b2Body * | bodyA,
|  | b2Body * | bodyB,
|  | const b2Vec2 & | anchor
| ) |  |

Initialize the bodies, anchors, axis, and reference angle using the world anchor and world axis.

## Member Data Documentation

b2Vec2 localAnchorA

The local anchor point relative to bodyA's origin.

b2Vec2 localAnchorB

The local anchor point relative to bodyB's origin.

float32 maxForce

The maximum friction force in N.

float32 maxTorque

The maximum friction torque in N-m.

The documentation for this struct was generated from the following files:

- Box2D/Dynamics/Joints/b2FrictionJoint.h
- Box2D/Dynamics/Joints/b2FrictionJoint.cpp